class String
   def unescapeHTML!()
      gsub!(/&(.*?);/) {
         match = $1.dup
         case match
         when /\Aamp\z/ni           then '&'
         when /\Aquot\z/ni          then '"'
         when /\Agt\z/ni            then '>'
         when /\Alt\z/ni            then '<'
         when /\A#(\d+)\z/n         then Integer($1).chr
         when /\A#x([0-9a-f]+)\z/ni then $1.hex.chr
         end
      }
      self
   end

   def unescapeHTML()
      dup().unescapeHTML!
   end
end

#p "1&lt;2 &amp;&amp; 4&gt;3".unescapeHTML  # 1<2 && 4>3
